#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'lelang.edit_tender'}
#{/set}
<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'lelang.home'}</a></li>
	<li><a href="@{lelang.PaketCtr.index()}">&{'lelang.daftar_paket'} </a></li>
	<li class="active">&{'lelang.edit_tender'}</li>
</ol>

<div class="content">
	#{alert /}
    <div class="bs-callout bs-callout-info">
         <strong>&{'lelang.penting'}</strong>
         <ol>
            <li>&{'lelang.isian_blm_lengkap'}.</li>
            <li>&{'lelang.e_tender_menyeluruh'}</li>
         </ol>
     </div>
    #{form @lelang.LelangCtr.simpan(lelang.lls_id), id:'formEditLelang'}
    <table class="table table-sm table-bordered">
    <tr>
    	<th class="bg-warning" width="300">&{'lelang.kode_tender'}</th>
    	<td style="width:350px">${lelang.lls_id}</td>
    	<th class="bg-warning" width="200">&{'lelang.nilai_hps'}</th>
    	<td>${nilaiHps.rupiah()} <a href="@{lelang.DokumenCtr.hps(lelang.lls_id)}" class="badge">&{'lelang.rincian_hps'}</a></td>
    </tr>
     <tr>
    	<th class="bg-warning">&{'lelang.nama_paket'}</th>
    	<td colspan="3">
			${lelang.namaPaket}
			#{statusTender lelang/}
		</td>
    </tr>
    #{if lelang.lelangUlang}
     <tr>
    	<th class="bgwarning">Alasan Pembatalan</th>
    	<td colspan="3">
			#{if !checklist?.isEmpty()}
			#{list items:checklist, as:'item'}
			- ${item?.checklist_master?.ckm_nama} <br/>
			#{/list}
			#{/if}
			#{if !lelang.lls_ditutup_karena?.isEmpty()} - ${lelang.lls_ditutup_karena} #{/if}
		</td>
    </tr>
    <tr>
    	<th class="bg-warning">&{'lelang.tender_ke_jika'}</th>
    	<td colspan="3">${lelang?.lls_versi_lelang}</td>
    </tr>
    #{/if}
    <tr>
    	<th class="bg-warning">&{'lelang.metode_pengadaan'}</th>
    	<td colspan="3">#{if draft} <a href="@{lelang.LelangCtr.metode(lelang.lls_id)}" class="badge dialog" title="&{'tag.ubah_sistem_pengadaan'}">${kategori.nama} - ${lelang.pemilihan.label} - ${lelang.metode.label} - ${lelang.evaluasi.label}</a>#{/if}
						#{else} ${kategori.nama} - ${lelang.pemilihan.label} - ${lelang.metode.label} - ${lelang.evaluasi.label} #{/else}</td>
	</tr>
	#{if konstruksi && !lelang.pemilihan.lelangExpress}
	<tr>
		<th class="bgwarning">&{'doc.useReverseAuction'}</th>
		<td colspan="3">
			<input type="checkbox" id="chkUseReverseAuction" name="lelang.lls_metode_penawaran" value="AUCTION"  #{if lelang.auction} checked="checked" #{/if} #{if !draft} disabled #{/if}/>
		</td>
	</tr>
	#{/if}
    #{if !konsultansi && !JkKonstruksi}
    <tr>
    	<th class="bg-warning">&{'lelang.kualifikasi_usaha'}<span class="warning">*</span></th>
    	<td colspan="3"><div style="width:300px;">#{selectKualifikasi 'kualifikasiId', value:lelang.paket.kls_id, autoSubmit:true , disabled:!draft /}</div></td>
    </tr>
    #{/if}

   #{if JkKonstruksi}
    <tr>
    	<th class="bgwarning">Kualifikasi Usaha <span class="warning">*</span></th>
    	<td colspan="3"><div style="width:300px;">#{selectKualifikasiJk 'kualifikasiId', value:lelang.paket.kls_id, autoSubmit:true , disabled:!draft /}</div></td>
    </tr>
    #{/if}

	#{if !lelang.pemilihan.lelangExpress}
	<tr>
		<th class="bg-warning">&{'lelang.penetapan_pemenang'}</th>
		<td colspan="3">#{selectPenetapanPemenang 'lelang.lls_penetapan_pemenang', value:lelang.lls_penetapan_pemenang, autoSubmit:true, disabled:!draft /}</td>
	</tr>
	#{/if}
    <tr id="jadwal-lelang">
    	<th class="bgwarning">&{'doc.tender.jadwal'}</th>
    	<td colspan="3">#{if draft}<a href="@{lelang.JadwalCtr.list(lelang.lls_id)}" class="badge  badge-secondary">${ketJadwal}</a>#{/if}#{else} ${ketJadwal} #{/else}</td>
    </tr>
	#{if prakualifikasi}
	<tr>
       <th class="bgwarning">&{'doc.kualifikasi'}</th>
       <td colspan="3">
		   #{if dok_kualifikasi?.dll_id_attachment && dok_kualifikasi_content?.dll_modified}
               <div class="bs-callout bs-callout-warning">
                   Silakan upload ulang &{'doc.kualifikasi'} karena terdapat perubahan terhadap salah satu bagian dari &{'doc.kualifikasi'} sebelumnya
               </div>
		   #{/if}
           <div class="card card-info">
               <div class="card-header">&{'doc.kualifikasi'}
				   #{if allow_upload_kualifikasi}
					   <a class="dialog float-right badge  badge-secondary" href="@{lelang.DokumenCtr.uploadDokKualifikasi(dok_kualifikasi.dll_id)}" title="Kirim Dokumen Kualifikasi" id="btnUploadDokKualifikasi">Upload</a>
				   #{/if}
				   #{if dok_kualifikasi?.dll_id_attachment && !dok_kualifikasi_content?.dll_modified && draft}
					   <a href="javascript:void(0)" class="removeDok badge badge-secondary float-right" style="margin-left: 3px" title="Hapus" doc_id="${dok_kualifikasi.lls_id}" versi="">
						   <i class="fa fa-close"> </i> Batalkan
					   </a>
					   <a href="@{lelang.DokumenCtr.hapusDokKualifikasi(dok_kualifikasi.lls_id,null)}" id="removeSubmit" title="Hapus" hidden doc_id="${dok_kualifikasi.lls_id}" versi="">
						   <span class="warning"><i class="fa fa-close float-right"> </i></span>
					   </a>
				   #{/if}
				   #{if dok_kualifikasi?.dll_id_attachment && !dok_kualifikasi_content?.dll_modified}
					   <a href="@{lelang.DokumenCtr.preview(dok_kualifikasi.dll_id)}" class="float-right badge  badge-secondary" target="_blank" title="Preview Dokumen Kualifikasi"><i class="fa fa-file"></i> Dokumen Kualifikasi </a>
				   #{/if}

				   </div>
               <div class="list-group">
				   <a href="@{lelang.DokumenCtr.ldk(lelang.lls_id)}" class="list-group-item">&{'doc.ldk'} <span class="warning">*</span> #{if ldk_terisi} <i class="fa fa-check float-right"></i>#{/if}</a>
               </div>
           </div>
           <div id="alert-dok-kualifikasi" style="margin-top: 10px;"></div>
       </td>
    </tr>
	#{/if}
	<tr>
		<th class="bg-warning">&{'lelang.jenis_kontrak'}</th>
		<td colspan="3">${lelang.kontrakPembayaran?.label}</td>
	</tr>
	<tr>
		<th class="bg-warning">&{'lelang.doc'} #{if lelang.prakualifikasi} &{'tag.tender_seleksi'} #{/if} #{else} &{'tag.pemilihan'} #{/else}</th>
		<td colspan="3">
			#{if dok_lelang?.dll_id_attachment && dok_lelang_content?.dll_modified}
				<div class="bs-callout bs-callout-warning">
					&{'lelang.silakan_upload_ulang_doc'}
				</div>
			#{/if}
			<div class="card card-info">
				<div class="card-header">Dokumen ${lelang.prakualifikasi ? "Tender/Seleksi" : "Pemilihan"}
						#{if dok_lelang?.dll_id_attachment && !dok_lelang_content?.dll_modified && dok_is_editable}
							<a href="javascript:void(0);" class="batalUpload badge badge-secondary float-right" id="batalUpload" style="margin-left: 3px" title="Batalkan" tender_doc_id="${dok_lelang.lls_id}" tender_versi="">
								<i class="fa fa-close"> </i> Batalkan
							</a>
							<a href="@{lelang.DokumenCtr.hapusDokTender(dok_lelang.lls_id,null)}" id="removeTenderSubmit" title="Batalkan" hidden tender_doc_id="${dok_lelang.lls_id}" tender_versi="">
								<span class="warning"><i class="fa fa-close float-right"> </i></span>
							</a>
						#{/if}
						#{if allow_upload_dok} <a class="dialog float-right badge  badge-secondary" href="@{lelang.DokumenCtr.uploadDokTender(dok_lelang.dll_id)}" title="Dokumen ${lelang.prakualifikasi ? "Tender/Seleksi" : "Pemilihan"}" id="btnUploadDokTender">Upload</a>#{/if}
						#{if dok_lelang?.dll_id_attachment && !dok_lelang_content?.dll_modified}<a href="@{lelang.DokumenCtr.preview(dok_lelang.dll_id)}" class="badge  badge-secondary float-right" target="_blank"><i class="fa fa-file"></i> Dokumen ${lelang.prakualifikasi ? "Tender/Seleksi" : "Pemilihan"}</a>#{/if}
				</div>
					<div class="list-group">
						#{if !prakualifikasi && !lelang.pemilihan.lelangExpress}
							<a href="@{lelang.DokumenCtr.ldk(lelang.lls_id)}" class="list-group-item">&{'doc.ldk'} <span class="warning">*</span> #{if ldk_terisi} <i class="fa fa-check float-right"></i>#{/if}#{else}<i class="fa fa-edit float-right"></i>#{/else}</a>
						#{/if}
						<a href="@{lelang.DokumenCtr.masaBerlakuPenawaran(lelang.lls_id)}" class="list-group-item dialog" title="&{'doc.masaBerlakuPenawaran'}">&{'doc.masaBerlakuPenawaran'} ${masaberlaku} &{'lelang.hari_sejak_bts_akhir'} <span class="warning">*</span> #{if dok_lelang_content?.dll_ldp}  <i class="fa fa-check pull-right"></i> #{/if}</a>
						#{if !lelang.pemilihan.lelangExpress}
							<a href="@{lelang.DokumenCtr.checklist(lelang.lls_id)}" class="list-group-item">&{'doc.syarat'} <span class="warning">*</span> #{if persyaratan_terisi} <i class="fa fa-check float-right"></i> #{/if}#{else}<i class="fa fa-edit float-right"></i>#{/else}</a>
						#{/if}
						<a href="@{lelang.DokumenCtr.spek(lelang.lls_id)}" class="list-group-item dialog" title="&{'paket.daftar_msg'} &{'doc.kakspek'}">	&{'doc.kakspek'} <span class="warning">*</span> #{if dok_lelang_content?.dll_spek} <i class="fa fa-check pull-right"></i> #{/if}</a>
						<a href="@{lelang.DokumenCtr.docSskk(lelang.lls_id)}" class="list-group-item dialog" title="&{'paket.daftar_msg'} &{'doc.sskk'}">	&{'doc.sskk'} <span class="warning">*</span> #{if dok_lelang_content?.dll_sskk_attachment} <i class="fa fa-check pull-right"></i> #{/if}</a>
						<a href="@{lelang.DokumenCtr.lainnya(lelang.lls_id)}" class="list-group-item dialog" title="&{'paket.informasi_lainnya_msg'}" onhide-refresh="true">&{'paket.informasi_lainnya'} #{if dok_lelang_content?.dll_lainnya} <i class="fa fa-check pull-right"></i> #{/if}</a>
					</div>
			</div>
            <div id="alert-dok" style="margin-top: 10px;"></div>
		</td>
	</tr>
    #{if lelang.pemilihan.lelangExpress}
    <tr>
    	<th class="bg-warning">&{'lelang.setting_kriteria'}</th>
    	<td colspan="3">#{if draft}
    	#{if old_id!=null}
    	<a href="javascript:void(0)" class="badge  badge-secondary copyShortlist float-right" > <i class="fa fa-copy"></i> Copy Shortlist </a>
    	 #{/if}
    	<a href="${sikap_shorlist_url}" class="badge" target="_blank">&{'lelang.setting_kriteria'}</a> #{/if}<a href="${sikap_kriteria_url}" class="badge" target="_blank">&{'lelang.lihat_kriteria'}</a></td>
    </tr>
    #{/if}
	#{if lelang.lelangUlang}
	<tr>
		<th class="bg-warning">&{'lelang.diulang_karena'}<span class="warning"> *</span></th>
		<td colspan="5"><div style="width:50%;"><textarea rows="4" cols="20" name="lelang.lls_diulang_karena" class="form-control" #{if !draft} disabled="disabled" #{/if}>${lelang?.lls_diulang_karena}</textarea></div></td>
	</tr>
	#{if draft}
    <tr>
    	<td class="bgwarning">&nbsp;</td>
    	<td colspan="3">
    		#{saveButton id:'simpan' /}
    	</td>
    </tr>
	#{/if}
    #{/if}
    </table>
 	#{/form}

	#{if lelang.paket.paket_persetujuan}
	<div class="panel panel-info">
	    <div class="panel-heading"><b>&{'lelang.status_persetujuan'}</b></div>
	   #{persetujuanList lelang.lls_id, pemenang:false /}
    </div>
	#{if allow_persetujuan}
		 <div class="panel panel-info">
    		<div class="panel-heading"><b>&{'lelang.persetujuan'}</b></div>
			<div class="panel-body">
				 #{form @lelang.PersetujuanCtr.pengumuman(lelang.lls_id), id:'form-persetujuan', 'data-alert':'true'}
					#{paktaIntegritas active_user:active_user/}
					<div class="form-group #{errorClass 'alasan'/}">
						<label><b>&{'lelang.alasan_tidak_setuju'}</b></label>
						<textarea id="alasan" name="alasan" rows="4" cols="50" class="form-control">${lelang.findPersetujuan(active_user.pegawaiId, false)?.alasan}</textarea>
						<span class="help-block">#{error 'alasan' /}</span>
						<span class="help-block" id="alasan-not-html" style="display:none; color:red; font-weight:bold;">&{'lelang.no_tag_html'}</span>
					</div>
                     <button type="submit" name="setuju" id="setuju" value="true" class="btn btn-primary">&{'lelang.setuju'}</button>
                     <button type="submit" name="setuju" id="tidak-setuju" value="false" class="btn btn-danger">&{'lelang.tidak_setuju'}</button>
				 #{/form}
    		</div>
		</div>
	 </div>
	#{/if}
	#{if allowBatalPersetujuan}
		<a href="@{lelang.PersetujuanCtr.batalPersetujuanPengumuman(lelang.lls_id)}"
		   onclick="return confirm('Apakah Anda yakin untuk membatalkan Persetujuan Anda?')"
		   class="btn btn-danger">&{'lelang.pembatalan_persetujuan'}
		</a>
	#{/if}
	#{if lelang_ulang}
		<div class="alert alert-warning">&{'lelang.pastikan_alasan_mengulang'}</div>
	#{/if}
     #{/if}
</div>

#{set 'custom_script'}
#{if lelang.paket.paket_persetujuan}
<script type="text/javascript">
//copy Dokumen
$(document).on('click','.copyDok', function(){
		var id = '${lelang.lls_id}' ;
		var urls = #{jsRoute @lelang.LelangCtr.viewLisLelang(':id') /};
	    BootstrapDialog.show({
	    	 size: BootstrapDialog.SIZE_LARGE,
	    	 draggable: true,
	    	 title : 'Daftar lelang',
	    	 message: $('<div></div>').load(urls.url({id:id})),
	    	 buttons: [{label: 'Close', action: function(dialog) {
	    		 dialog.close();
	         }}]
	    });
});
//copy shortlist
$(document).on('click', '.copyShortlist', function(){
 	  var old_id = '${old_id}';
 	var new_id = '${lelang.lls_id}';
    $.ajax({
		  type: 'POST',
		  url: '@{lelang.LelangCtr.copyShortlist(old_id,lelang.lls_id)}',

		  success : function(retval){
		  	//alertSuccess.setMessage('&{'flash.ftbdh'}').open()
		  		if(retval==true)
			  		alert('sukses copy shortlist');
		  		else
		  			alert('gagal copy shortlist');
		  },
		  error : function(){
		  	alert('error');
		  }
	  })
 });

$(document).on('click', '#btnUploadDokKualifikasi', function(){
  $.post('@{lelang.LelangCtr.simpan(lelang.lls_id)}', $('#formEditLelang').serialize())
});
$(document).on('click', '#btnUploadDokTender', function(){
  $.post('@{lelang.LelangCtr.simpan(lelang.lls_id)}', $('#formEditLelang').serialize())
});
$(document).on('click', '#chkUseReverseAuction', function(){
	var checked = $(this).is(':checked');
	if(checked) {
		if(!confirm('Apakah Anda yakin menggunakan Reverse Auction?')){
			$(this).removeAttr('checked');
		}
	} else if(!confirm('Apakah Anda yakin tidak menggunakan Reverse Auction?')){
		$(this).attr("checked", "checked");
	}
  	$.post('@{lelang.LelangCtr.simpan(lelang.lls_id)}', $('#formEditLelang').serialize())
});

$(document).on('click', '.removeDok', function(){
	// console.log("disini")
	var versi = $(this).attr('versi')
	var doc_id = $(this).attr('doc_id')
	if (confirm("Anda yakin akan membatalkan dokumen kualifikasi ini?")){
		document.getElementById('removeSubmit').click();
	}
});

$(document).on('click', '#batalUpload', function(){
	console.log("disini")
	var versi = $(this).attr('tender_versi')
	var doc_id = $(this).attr('tender_doc_id')
	if (confirm("Anda yakin akan membatalkan dokumen ini?")){
		document.getElementById('removeTenderSubmit').click();
	}
});


#{if allow_persetujuan}
//pengaturan untuk tombol setuju dan tidak setuju
$(document).ready(function() {
    btnPersetujuan($("#alasan"));
});
$(document).on('keyup','#alasan', function(){
	btnPersetujuan(this);
	let adaHtml=hasHtml( $(this).val() ) ;
	if(adaHtml)
		$("#alasan-not-html").show();
	else
		$("#alasan-not-html").hide();
});

function hasHtml(txt){
	return /<\/?[^>]*>/gi.test(txt);
}
function btnPersetujuan(e){
    var val = $(e).val();
    if(val != "" && !hasHtml(val)){
        $("#setuju").attr("disabled", true);
        $("#tidak-setuju").attr("disabled", false);
    }else{
        $("#setuju").attr("disabled", false);
        $("#tidak-setuju").attr("disabled", true);
    }
}

#{/if}
</script>
#{/if}
#{/set}
